lp(1)

NOM
lp - Imprime des fichiers
cancel - Annule des travaux d'impression

SYNOPSIS
lp [ -E ] [ -c ] [ -d destination ] [ -h serveur ] [ -m ] [ -n nb-copies [ -o option ] [ -q priorité ] [ -s ] [ -t titre ] [ -H méthode ] [ -P liste-de-pages ] [ fichier(s) ]
lp [ -E ] [ -c ] [ -h serveur ] [ -i numéro-de-travail ] [ -n nb-copies [ -o option ] [ -q priorité ] [ -t titre ] [ -H méthode ] [ -P liste-de-pages ]
cancel [ -a ] [ -h serveur ] [ -u utilisateur ] [ id ] [ destination ] [ destination-id ]

DESCRIPTION
lp demande l'impression d'un fichier ou modifie un travail d'impression en attente.

cancel annule un travail d'impression. L'option -a supprime tous les travaux d'impression d'une destination.

OPTIONS
Les options suivantes sont reconnues par lp :

-E
    Force le cryptage des données lors de la connexion au serveur.

-c
    Cette option n'est fournie que pour des raisons de compatibilité avec les précédentes versions. Sur les systèmes le permettant, force la copie du fichier d'impression dans le répertoire spool avant impression. Avec CUPS, les fichiers d'impression sont envoyés à l'ordonnanceur via IPP. Le résultat est le même dans les deux cas.

-d destination
    Imprime les fichiers sur l'imprimante donnée.

-h nom-de-machine
    Demande l'impression sur un serveur d'impression donné. C'est par défaut « localhost » ou le contenu de la variable d'environnement CUPS_SERVER si celle-ci existe.

-i numéro-de-travail
    Donne le numéro du travail d'impression à modifier.

-m
    Envoie un courrier électronique lorsque l'impression est terminée. Cette option n'est pas gérée par CUPS 1.1.

-n nb-copies
    Nombre de copies à effectuer (de 1 à 100).

-o option
    Définit une option pour le travail d'impression.

-q priorité
    Définit la priorité du travail d'impression, de 1 (minimale) à 100 (maximale). La priorité par défaut est 50.

-s
    N'affiche pas le numéro du travail (mode silencieux).

-t nom
    Définit le nom du travail.

-u nom_utilisateur
    Annule les travaux d'impression de l'utilisateur nom_utilisateur.

-H méthode
    Définit quand l'impression doit être effectuée. La valeur immediate effectue l'impression immédiatement, la valeur hold suspend l'impression indéfiniment, une valeur, une heure suspend l'impression jusqu'à l'heure donnée. Utilisez la valeur resume avec l'option -i pour reprendre un travail suspendu. Utilisez la valeur restart avec l'option -i pour relancer un travail terminé.

-P liste-de-pages
    Définit quelles sont les pages à imprimer. Cette liste ne peut contenir que des numéros ou des portions (#-#), séparés par des virgules (ex : 1,3-5,16).

COMPATIBILITÉ
Contrairement au système d'impression System V, les imprimantes peuvent contenir n'importe quel caractère imprimable sauf ESPACE et TABULATION. De même, les noms d'imprimantes et de classes ne sont pas sensibles à la casse.

L'option « m » n'est pas opérationnelle dans CUPS 1.1.

L'option « q » accepte des valeurs de 1 à 100, contrairement au lp de Solaris qui utilise des valeurs de 0 à 39.

NOTES
Les administrateurs désirant empêcher les annulations de travaux d'impression d'autres utilisateurs via l'option -u doivent protéger par mot de passe l'endroit où sont stockés les travaux d'impression (voir la section <Location /jobs> dans le fichier cupsd.conf(5).

VOIR AUSSI
lpstat(1), CUPS Software Users Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits réservés.

TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>